libxml++ 5.6.0

Public Member Functions | List of all members
xmlpp::parse_error Class Reference

This exception will be thrown when the parser encounters an error in the XML document. More...

`#include <libxml++/exceptions/parse_error.h>`

Inheritance diagram for xmlpp::parse_error:
[legend]

## Public Member Functions
| parse_error (const ustring & message)
| ~parse_error () noexcept override
exception * | clone () const override
void | raise () const override
Public Member Functions inherited from xmlpp::exception
LIBXMLPP_MEMBER_METHOD | exception (const ustring & message)
LIBXMLPP_MEMBER_METHOD | ~exception () noexcept override
LIBXMLPP_MEMBER_METHOD const char * | what () const noexcept override

## Detailed Description

This exception will be thrown when the parser encounters an error in the XML document.

## Constructor & Destructor Documentation

## ◆ parse_error()

xmlpp::parse_error::parse_error | ( | const ustring & | message | ) |
| explicit

## ◆ ~parse_error()

xmlpp::parse_error::~parse_error | ( |  | ) |
| override noexcept

## Member Function Documentation

## ◆ clone()

exception * xmlpp::parse_error::clone | ( |  | ) | const
| override virtual

Reimplemented from xmlpp::exception.

Reimplemented in xmlpp::validity_error.

## ◆ raise()

void xmlpp::parse_error::raise | ( |  | ) | const
| override virtual

Reimplemented from xmlpp::exception.

Reimplemented in xmlpp::validity_error.